karaf-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From gno...@apache.org
Subject [1/3] git commit: [KARAF-2888] Remove obsolete resolver xml attribute on features
Date Mon, 14 Apr 2014 12:37:44 GMT
Repository: karaf
Updated Branches:
  refs/heads/master 69a53969d -> 6687f00ed


[KARAF-2888] Remove obsolete resolver xml attribute on features

Project: http://git-wip-us.apache.org/repos/asf/karaf/repo
Commit: http://git-wip-us.apache.org/repos/asf/karaf/commit/50b16bf4
Tree: http://git-wip-us.apache.org/repos/asf/karaf/tree/50b16bf4
Diff: http://git-wip-us.apache.org/repos/asf/karaf/diff/50b16bf4

Branch: refs/heads/master
Commit: 50b16bf4a0a52908ef8bd21c775a0b3566769329
Parents: 69a5396
Author: Guillaume Nodet <gnodet@gmail.com>
Authored: Mon Apr 14 13:57:41 2014 +0200
Committer: Guillaume Nodet <gnodet@gmail.com>
Committed: Mon Apr 14 13:57:41 2014 +0200

----------------------------------------------------------------------
 .../enterprise/src/main/feature/feature.xml     | 30 ++++----
 .../spring/src/main/feature/feature.xml         | 80 ++++++++++----------
 .../standard/src/main/feature/feature.xml       | 24 +++---
 .../karaf/features/karaf-features-1.3.0.xsd     | 20 -----
 .../karaf/features/internal/service/f07.xml     |  2 +-
 5 files changed, 68 insertions(+), 88 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/karaf/blob/50b16bf4/assemblies/features/enterprise/src/main/feature/feature.xml
----------------------------------------------------------------------
diff --git a/assemblies/features/enterprise/src/main/feature/feature.xml b/assemblies/features/enterprise/src/main/feature/feature.xml
index da68fe1..8964686 100644
--- a/assemblies/features/enterprise/src/main/feature/feature.xml
+++ b/assemblies/features/enterprise/src/main/feature/feature.xml
@@ -22,7 +22,7 @@
 
     <repository>mvn:org.ops4j.pax.cdi/pax-cdi-features/${pax.cdi.version}/xml/features</repository>
 
-    <feature name="transaction" description="OSGi Transaction Manager" version="${aries.transaction.version}"
resolver="(obr)">
+    <feature name="transaction" description="OSGi Transaction Manager" version="${aries.transaction.version}">
         <details>JTA implementation provided by Apache Aries Transaction ${aries.transaction.version}</details>
         <config name="org.apache.aries.transaction">
             aries.transaction.recoverable = true
@@ -40,7 +40,7 @@
         </conditional>
     </feature>
 
-    <feature name="jpa" description="OSGi Persistence Container" version="${aries.jpa.version}"
resolver="(obr)">
+    <feature name="jpa" description="OSGi Persistence Container" version="${aries.jpa.version}">
         <details>JPA implementation provided by Apache Aries JPA ${aries.jpa.version}.
NB: this feature doesn"t provide the JPA engine, you have to install one by yourself (OpenJPA
for instance)</details>
         <bundle dependency="true" start-level="30">mvn:org.apache.geronimo.specs/geronimo-jta_1.1_spec/${geronimo.jta-spec.version}</bundle>
         <bundle dependency="true" start-level="30">mvn:org.apache.geronimo.specs/geronimo-jpa_2.0_spec/${geronimo.jpa-spec.version}</bundle>
@@ -53,7 +53,7 @@
         </conditional>
     </feature>
 
-    <feature name="openjpa" description="Apache OpenJPA 2.2.x persistence engine support"
version="2.2.2" resolver="(obr)">
+    <feature name="openjpa" description="Apache OpenJPA 2.2.x persistence engine support"
version="2.2.2">
         <details>Enable Apache OpenJPA as persistence engine.</details>
         <bundle dependency="true">mvn:org.apache.geronimo.specs/geronimo-annotation_1.0_spec/1.1.1</bundle>
         <bundle dependency="true">mvn:org.apache.geronimo.specs/geronimo-jpa_2.0_spec/${geronimo.jpa-spec.version}</bundle>
@@ -72,7 +72,7 @@
         <feature>jpa</feature>
     </feature>
 
-    <feature name="openjpa" description="Apache OpenJPA 2.3.x persistence engine support"
version="2.3.0" resolver="(obr)">
+    <feature name="openjpa" description="Apache OpenJPA 2.3.x persistence engine support"
version="2.3.0">
         <details>Enable Apache OpenJPA as persistence engine.</details>
         <bundle dependency="true">mvn:org.apache.geronimo.specs/geronimo-annotation_1.0_spec/1.1.1</bundle>
         <bundle dependency="true">mvn:org.apache.geronimo.specs/geronimo-jpa_2.0_spec/${geronimo.jpa-spec.version}</bundle>
@@ -91,7 +91,7 @@
         <feature>jpa</feature>
     </feature>
 
-    <feature name="hibernate" description="Hibernate 3.x JPA persistence engine support"
version="${hibernate3.version}" resolver="(obr)">
+    <feature name="hibernate" description="Hibernate 3.x JPA persistence engine support"
version="${hibernate3.version}">
         <details>Enable Hibernate 3.x as persistence engine.</details>
         <bundle dependency="true">mvn:org.apache.servicemix.specs/org.apache.servicemix.specs.java-persistence-api-1.1.1/${servicemix.specs.version}</bundle>
         <bundle dependency="true">mvn:commons-collections/commons-collections/${commons-collections.version}</bundle>
@@ -109,7 +109,7 @@
         <feature>jpa</feature>
     </feature>
 
-    <feature name="hibernate" description="Hibernate 4.2.x JPA persistence engine support"
version="${hibernate42.version}" resolver="(obr)">
+    <feature name="hibernate" description="Hibernate 4.2.x JPA persistence engine support"
version="${hibernate42.version}">
         <details>Enable Hibernate 4.2.x as persistence engine.</details>
         <feature>transaction</feature>
         <feature>http</feature>
@@ -129,13 +129,13 @@
         <feature>jpa</feature>
     </feature>
 
-    <feature name="hibernate-envers" description="Hibernate Envers 4.2.x" version="${hibernate42.version}"
resolver="(obr)">
+    <feature name="hibernate-envers" description="Hibernate Envers 4.2.x" version="${hibernate42.version}">
         <details>Enable Hibernate Envers 4.2.x</details>
         <feature version="${hibernate42.version}">hibernate</feature>
         <bundle start-level="100">mvn:org.hibernate/hibernate-envers/${hibernate42.version}</bundle>
     </feature>
 
-    <feature name="hibernate" description="Hibernate 4.3.x JPA persistence engine support"
version="${hibernate43.version}" resolver="(obr)">
+    <feature name="hibernate" description="Hibernate 4.3.x JPA persistence engine support"
version="${hibernate43.version}">
         <details>Enable Hibernate 4.3.x as persistence engine.</details>
         <feature>transaction</feature>
         <feature>http</feature>
@@ -156,13 +156,13 @@
         <feature>jpa</feature>
     </feature>
 
-    <feature name="hibernate-envers" description="Hibernate Envers 4.3.x" version="${hibernate43.version}"
resolver="(obr)">
+    <feature name="hibernate-envers" description="Hibernate Envers 4.3.x" version="${hibernate43.version}">
         <details>Enable Hibernate Envers 4.3.x</details>
         <feature version="${hibernate43.version}">hibernate</feature>
         <bundle start-level="100">mvn:org.hibernate/hibernate-envers/${hibernate43.version}</bundle>
     </feature>
 
-    <feature name="hibernate-validator" description="Hibernate Validator support" version="${hibernate.validator.version}"
resolver="(obr)">
+    <feature name="hibernate-validator" description="Hibernate Validator support" version="${hibernate.validator.version}">
         <bundle dependency="true">mvn:javax.validation/validation-api/1.1.0.Final</bundle>
         <bundle dependency="true">mvn:com.fasterxml/classmate/1.0.0</bundle>
         <bundle dependency="true">mvn:javax.el/javax.el-api/2.2.4</bundle>
@@ -171,7 +171,7 @@
         <bundle>mvn:org.hibernate/hibernate-validator/${hibernate.validator.version}</bundle>
     </feature>
 
-    <feature name="jndi" description="OSGi Service Registry JNDI access" version="${project.version}"
resolver="(obr)">
+    <feature name="jndi" description="OSGi Service Registry JNDI access" version="${project.version}">
         <details>JNDI support provided by Apache Aries JNDI ${aries.jndi.version},
including additional service, commands, and MBean.</details>
         <feature>aries-proxy</feature>
         <bundle start-level="30">mvn:org.apache.xbean/xbean-naming/${xbean.version}</bundle>
@@ -183,7 +183,7 @@
         <bundle start-level="30">mvn:org.apache.karaf.jndi/org.apache.karaf.jndi.core/${project.version}</bundle>
     </feature>
 
-    <feature name="jdbc" description="JDBC service and commands" version="${project.version}"
resolver="(obr)">
+    <feature name="jdbc" description="JDBC service and commands" version="${project.version}">
         <details>JDBC support providing service, commands, and MBean.</details>
         <feature>transaction</feature>
         <bundle>mvn:commons-pool/commons-pool/${commons-pool.version}</bundle>
@@ -199,7 +199,7 @@
         </requirement>
     </feature>
 
-    <feature name="jms" description="JMS service and commands" version="${project.version}"
resolver="(obr)">
+    <feature name="jms" description="JMS service and commands" version="${project.version}">
         <details>JMS support provinding service, commands, and MBean.</details>
         <feature>transaction</feature>
         <feature>aries-blueprint</feature>
@@ -207,7 +207,7 @@
         <bundle>mvn:org.apache.karaf.jms/org.apache.karaf.jms.core/${project.version}</bundle>
     </feature>
 
-    <feature name="openwebbeans" description="Apache OpenWebBeans CDI container support"
version="${openwebbeans.version}" resolver="(obr)">
+    <feature name="openwebbeans" description="Apache OpenWebBeans CDI container support"
version="${openwebbeans.version}">
         <details>Add support of Apache OpenWebBeans CDI container.</details>
         <feature>http</feature>
         <feature>pax-cdi-openwebbeans</feature>
@@ -215,7 +215,7 @@
         <bundle>mvn:org.apache.openwebbeans/openwebbeans-osgi/${openwebbeans.version}</bundle>
     </feature>
 
-    <feature name="weld" description="JBoss Weld CDI container support" version="${weld.version}"
resolver="(obr)">
+    <feature name="weld" description="JBoss Weld CDI container support" version="${weld.version}">
         <details>Add support of JBoss Weld CDI container.</details>
         <feature>pax-cdi-weld</feature>
         <bundle>mvn:org.jboss.weld/weld-osgi-bundle/${weld.version}</bundle>

http://git-wip-us.apache.org/repos/asf/karaf/blob/50b16bf4/assemblies/features/spring/src/main/feature/feature.xml
----------------------------------------------------------------------
diff --git a/assemblies/features/spring/src/main/feature/feature.xml b/assemblies/features/spring/src/main/feature/feature.xml
index b8f0066..3b7112d 100644
--- a/assemblies/features/spring/src/main/feature/feature.xml
+++ b/assemblies/features/spring/src/main/feature/feature.xml
@@ -21,7 +21,7 @@
     <!-- NB: this file is not the one really used. This file is used by the karaf-maven-plugin
to define the start-level of bundles in the generated feature.xml -->
 
     <!-- Spring DM support -->
-    <feature name="spring-dm" description="Spring DM support" version="${spring.osgi.version}"
resolver="(obr)">
+    <feature name="spring-dm" description="Spring DM support" version="${spring.osgi.version}">
         <feature version="[2.5.6,4)">spring</feature>
         <bundle dependency="true" start-level="30">mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.cglib/${cglib.bundle.version}</bundle>
         <bundle start-level="30">mvn:org.springframework.osgi/spring-osgi-io/${spring.osgi.version}</bundle>
@@ -32,7 +32,7 @@
         <bundle start-level="30">mvn:org.apache.karaf.bundle/org.apache.karaf.bundle.springstate/${project.version}</bundle>
     </feature>
 
-    <feature name="spring-dm-web" description="Spring DM Web support" version="${spring.osgi.version}"
resolver="(obr)">
+    <feature name="spring-dm-web" description="Spring DM Web support" version="${spring.osgi.version}">
         <feature>spring-dm</feature>
         <feature version="[2.5.6,4)">spring-web</feature>
         <feature>http</feature>
@@ -41,7 +41,7 @@
 
     <!-- Spring 3.1.x support -->
 
-    <feature name="spring" description="Spring 3.1.x support" version="${spring31.version}"
resolver="(obr)">
+    <feature name="spring" description="Spring 3.1.x support" version="${spring31.version}">
         <bundle dependency="true" start-level="30">mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.aopalliance/${aopalliance.bundle.version}</bundle>
         <bundle start-level="30">mvn:org.springframework/spring-core/${spring31.version}</bundle>
         <bundle start-level="30">mvn:org.springframework/spring-asm/${spring31.version}</bundle>
@@ -53,29 +53,29 @@
         <bundle start-level="30">mvn:org.apache.karaf.deployer/org.apache.karaf.deployer.spring/${project.version}</bundle>
     </feature>
 
-    <feature name="spring-aspects" description="Spring 3.1.x AOP support" version="${spring31.version}"
resolver="(obr)">
+    <feature name="spring-aspects" description="Spring 3.1.x AOP support" version="${spring31.version}">
         <feature version="[${spring31.version},3.2)">spring</feature>
         <bundle start-level="30">mvn:org.springframework/spring-aspects/${spring31.version}</bundle>
     </feature>
 
-    <feature name="spring-instrument" description="Spring 3.1.x Instrument support" version="${spring31.version}"
resolver="(obr)">
+    <feature name="spring-instrument" description="Spring 3.1.x Instrument support" version="${spring31.version}">
         <feature version="[${spring31.version},3.2)">spring</feature>
         <bundle start-level="30">mvn:org.springframework/spring-instrument/${spring31.version}</bundle>
     </feature>
 
-    <feature name="spring-jdbc" description="Spring 3.1.x JDBC support" version="${spring31.version}"
resolver="(obr)">
+    <feature name="spring-jdbc" description="Spring 3.1.x JDBC support" version="${spring31.version}">
         <feature version="[${spring31.version},3.2)">spring-tx</feature>
         <bundle start-level="30">mvn:org.springframework/spring-jdbc/${spring31.version}</bundle>
     </feature>
 
-    <feature name="spring-jms" description="Spring 3.1.x JMS support" version="${spring31.version}"
resolver="(obr)">
+    <feature name="spring-jms" description="Spring 3.1.x JMS support" version="${spring31.version}">
         <feature version="[${spring31.version},3.2)">spring-tx</feature>
         <bundle start-level="10">mvn:org.apache.geronimo.specs/geronimo-jta_1.1_spec/${geronimo.jta-spec.version}</bundle>
         <bundle start-level="10">mvn:org.apache.geronimo.specs/geronimo-jms_1.1_spec/${geronimo.jms-spec.version}</bundle>
         <bundle start-level="30">mvn:org.springframework/spring-jms/${spring31.version}</bundle>
     </feature>
 
-    <feature name="spring-struts" description="Spring 3.1.x Struts support" version="${spring31.version}"
resolver="(obr)">
+    <feature name="spring-struts" description="Spring 3.1.x Struts support" version="${spring31.version}">
         <feature version="[${spring31.version},3.2)">spring-web</feature>
         <feature>war</feature>
         <bundle dependency="true" start-level="30">mvn:commons-collections/commons-collections/${commons-collections.version}</bundle>
@@ -84,34 +84,34 @@
         <bundle start-level="30">mvn:org.springframework/spring-struts/${spring31.version}</bundle>
     </feature>
 
-    <feature name="spring-test" description="Spring 3.1.x Test support" version="${spring31.version}"
resolver="(obr)">
+    <feature name="spring-test" description="Spring 3.1.x Test support" version="${spring31.version}">
         <feature version="[${spring31.version},3.2)">spring</feature>
         <bundle start-level="30">mvn:org.springframework/spring-test/${spring31.version}</bundle>
     </feature>
 
-    <feature name="spring-orm" description="Spring 3.1.x ORM support" version="${spring31.version}"
resolver="(obr)">
+    <feature name="spring-orm" description="Spring 3.1.x ORM support" version="${spring31.version}">
         <feature version="[${spring31.version},3.2)">spring-jdbc</feature>
         <bundle start-level="30">mvn:org.springframework/spring-orm/${spring31.version}</bundle>
     </feature>
 
-    <feature name="spring-oxm" description="Spring 3.1.x OXM support" version="${spring31.version}"
resolver="(obr)">
+    <feature name="spring-oxm" description="Spring 3.1.x OXM support" version="${spring31.version}">
         <feature version="[${spring31.version},3.2)">spring</feature>
         <bundle start-level="30">mvn:org.springframework/spring-oxm/${spring31.version}</bundle>
     </feature>
 
-    <feature name="spring-tx" description="Spring 3.1.x Transaction (TX) support" version="${spring31.version}"
resolver="(obr)">
+    <feature name="spring-tx" description="Spring 3.1.x Transaction (TX) support" version="${spring31.version}">
         <feature version="[${spring31.version},3.2)">spring</feature>
         <bundle start-level="30">mvn:org.springframework/spring-tx/${spring31.version}</bundle>
     </feature>
 
-    <feature name="spring-web" description="Spring 3.1.x Web support" version="${spring31.version}"
resolver="(obr)">
+    <feature name="spring-web" description="Spring 3.1.x Web support" version="${spring31.version}">
     	<feature version="[${spring31.version},3.2)">spring</feature>
     	<feature>http</feature>
     	<bundle start-level="30">mvn:org.springframework/spring-web/${spring31.version}</bundle>
 		<bundle start-level="30">mvn:org.springframework/spring-webmvc/${spring31.version}</bundle>
     </feature>
 
-    <feature name="spring-web-portlet" description="Spring 3.1.x Web Portlet support"
version="${spring31.version}" resolver="(obr)">
+    <feature name="spring-web-portlet" description="Spring 3.1.x Web Portlet support"
version="${spring31.version}">
         <feature version="[${spring31.version},3.2)">spring-web</feature>
         <bundle dependency="true" start-level="30">mvn:javax.portlet/portlet-api/${portlet-api.version}</bundle>
         <bundle start-level="30">mvn:org.springframework/spring-webmvc-portlet/${spring31.version}</bundle>
@@ -119,7 +119,7 @@
 
     <!-- Spring 3.2.x support -->
 
-    <feature name="spring" description="Spring 3.2.x support" version="${spring32.version}"
resolver="(obr)">
+    <feature name="spring" description="Spring 3.2.x support" version="${spring32.version}">
         <bundle dependency="true" start-level="30">mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.aopalliance/${aopalliance.bundle.version}</bundle>
         <bundle start-level="30">mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.spring-core/${spring32.version}</bundle>
         <bundle start-level="30">mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.spring-expression/${spring32.version}</bundle>
@@ -130,29 +130,29 @@
         <bundle start-level="30">mvn:org.apache.karaf.deployer/org.apache.karaf.deployer.spring/${project.version}</bundle>
     </feature>
 
-    <feature name="spring-aspects" description="Spring 3.2.x AOP support" version="${spring32.version}"
resolver="(obr)">
+    <feature name="spring-aspects" description="Spring 3.2.x AOP support" version="${spring32.version}">
         <feature version="[${spring32.version},3.3)">spring</feature>
         <bundle start-level="30">mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.spring-aspects/${spring32.version}</bundle>
     </feature>
 
-    <feature name="spring-instrument" description="Spring 3.2.x Instrument support" version="${spring32.version}"
resolver="(obr)">
+    <feature name="spring-instrument" description="Spring 3.2.x Instrument support" version="${spring32.version}">
         <feature version="[${spring32.version},3.3)">spring</feature>
         <bundle start-level="30">mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.spring-instrument/${spring32.version}</bundle>
     </feature>
 
-    <feature name="spring-jdbc" description="Spring 3.2.x JDBC support" version="${spring32.version}"
resolver="(obr)">
+    <feature name="spring-jdbc" description="Spring 3.2.x JDBC support" version="${spring32.version}">
         <feature version="[${spring32.version},3.3)">spring-tx</feature>
         <bundle start-level="30">mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.spring-jdbc/${spring32.version}</bundle>
     </feature>
 
-    <feature name="spring-jms" description="Spring 3.2.x JMS support" version="${spring32.version}"
resolver="(obr)">
+    <feature name="spring-jms" description="Spring 3.2.x JMS support" version="${spring32.version}">
         <feature version="[${spring32.version},3.3)">spring-tx</feature>
         <bundle start-level="10">mvn:org.apache.geronimo.specs/geronimo-jta_1.1_spec/${geronimo.jta-spec.version}</bundle>
         <bundle start-level="10">mvn:org.apache.geronimo.specs/geronimo-jms_1.1_spec/${geronimo.jms-spec.version}</bundle>
         <bundle start-level="30">mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.spring-jms/${spring32.version}</bundle>
     </feature>
 
-    <feature name="spring-struts" description="Spring 3.2.x Struts support" version="${spring32.version}"
resolver="(obr)">
+    <feature name="spring-struts" description="Spring 3.2.x Struts support" version="${spring32.version}">
         <feature version="[${spring32.version},3.3)">spring-web</feature>
         <feature>war</feature>
         <bundle dependency="true" start-level="30">mvn:commons-collections/commons-collections/${commons-collections.version}</bundle>
@@ -161,34 +161,34 @@
         <bundle start-level="30">mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.spring-struts/${spring32.version}</bundle>
     </feature>
 
-    <feature name="spring-test" description="Spring 3.2.x Test support" version="${spring32.version}"
resolver="(obr)">
+    <feature name="spring-test" description="Spring 3.2.x Test support" version="${spring32.version}">
         <feature version="[${spring32.version},3.3)">spring</feature>
         <bundle start-level="30">mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.spring-test/${spring32.version}</bundle>
     </feature>
 
-    <feature name="spring-orm" description="Spring 3.2.x ORM support" version="${spring32.version}"
resolver="(obr)">
+    <feature name="spring-orm" description="Spring 3.2.x ORM support" version="${spring32.version}">
         <feature version="[${spring32.version},3.3)">spring-jdbc</feature>
         <bundle start-level="30">mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.spring-orm/${spring32.version}</bundle>
     </feature>
 
-    <feature name="spring-oxm" description="Spring 3.2.x OXM support" version="${spring32.version}"
resolver="(obr)">
+    <feature name="spring-oxm" description="Spring 3.2.x OXM support" version="${spring32.version}">
         <feature version="[${spring32.version},3.3)">spring</feature>
         <bundle start-level="30">mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.spring-oxm/${spring32.version}</bundle>
     </feature>
 
-    <feature name="spring-tx" description="Spring 3.2.x Transaction (TX) support" version="${spring32.version}"
resolver="(obr)">
+    <feature name="spring-tx" description="Spring 3.2.x Transaction (TX) support" version="${spring32.version}">
         <feature version="[${spring32.version},3.3)">spring</feature>
         <bundle start-level="30">mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.spring-tx/${spring32.version}</bundle>
     </feature>
 
-    <feature name="spring-web" description="Spring 3.2.x Web support" version="${spring32.version}"
resolver="(obr)">
+    <feature name="spring-web" description="Spring 3.2.x Web support" version="${spring32.version}">
         <feature version="[${spring32.version},3.3)">spring</feature>
         <feature>http</feature>
         <bundle start-level="30">mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.spring-web/${spring32.version}</bundle>
         <bundle start-level="30">mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.spring-webmvc/${spring32.version}</bundle>
     </feature>
 
-    <feature name="spring-web-portlet" description="Spring 3.2.x Web Portlet support"
version="${spring32.version}" resolver="(obr)">
+    <feature name="spring-web-portlet" description="Spring 3.2.x Web Portlet support"
version="${spring32.version}">
         <feature version="[${spring32.version},3.3)">spring-web</feature>
         <bundle dependency="true" start-level="30">mvn:javax.portlet/portlet-api/${portlet-api.version}</bundle>
         <bundle start-level="30">mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.spring-webmvc-portlet/${spring32.version}</bundle>
@@ -196,7 +196,7 @@
 
     <!-- Spring 4.0.x support -->
 
-    <feature name="spring" description="Spring 4.0.x support" version="${spring40.version}"
resolver="(obr)">
+    <feature name="spring" description="Spring 4.0.x support" version="${spring40.version}">
         <bundle dependency="true" start-level="30">mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.aopalliance/${aopalliance.bundle.version}</bundle>
         <bundle start-level="30">mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.spring-core/${spring40.version}</bundle>
         <bundle start-level="30">mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.spring-expression/${spring40.version}</bundle>
@@ -207,69 +207,69 @@
         <bundle start-level="30">mvn:org.apache.karaf.deployer/org.apache.karaf.deployer.spring/${project.version}</bundle>
     </feature>
 
-    <feature name="spring-aspects" description="Spring 4.0.x AOP support" version="${spring40.version}"
resolver="(obr)">
+    <feature name="spring-aspects" description="Spring 4.0.x AOP support" version="${spring40.version}">
         <feature version="[${spring40.version},4.1)">spring</feature>
         <bundle start-level="30">mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.spring-aspects/${spring40.version}</bundle>
     </feature>
 
-    <feature name="spring-instrument" description="Spring 4.0.x Instrument support" version="${spring40.version}"
resolver="(obr)">
+    <feature name="spring-instrument" description="Spring 4.0.x Instrument support" version="${spring40.version}">
         <feature version="[${spring40.version},4.1)">spring</feature>
         <bundle start-level="30">mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.spring-instrument/${spring40.version}</bundle>
     </feature>
 
-    <feature name="spring-jdbc" description="Spring 4.0.x JDBC support" version="${spring40.version}"
resolver="(obr)">
+    <feature name="spring-jdbc" description="Spring 4.0.x JDBC support" version="${spring40.version}">
         <feature version="[${spring40.version},4.1)">spring-tx</feature>
         <bundle start-level="30">mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.spring-jdbc/${spring40.version}</bundle>
     </feature>
 
-    <feature name="spring-jms" description="Spring 4.0.x JMS support" version="${spring40.version}"
resolver="(obr)">
+    <feature name="spring-jms" description="Spring 4.0.x JMS support" version="${spring40.version}">
         <feature version="[${spring40.version},4.1)">spring-tx</feature>
         <bundle start-level="10">mvn:org.apache.geronimo.specs/geronimo-jta_1.1_spec/${geronimo.jta-spec.version}</bundle>
         <bundle start-level="10">mvn:org.apache.geronimo.specs/geronimo-jms_1.1_spec/${geronimo.jms-spec.version}</bundle>
         <bundle start-level="30">mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.spring-jms/${spring40.version}</bundle>
     </feature>
 
-    <feature name="spring-test" description="Spring 4.0.x Test support" version="${spring40.version}"
resolver="(obr)">
+    <feature name="spring-test" description="Spring 4.0.x Test support" version="${spring40.version}">
         <feature version="[${spring40.version},4.1)">spring</feature>
         <bundle start-level="30">mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.spring-test/${spring40.version}</bundle>
     </feature>
 
-    <feature name="spring-orm" description="Spring 4.0.x ORM support" version="${spring40.version}"
resolver="(obr)">
+    <feature name="spring-orm" description="Spring 4.0.x ORM support" version="${spring40.version}">
         <feature version="[${spring40.version},4.1)">spring-jdbc</feature>
         <bundle start-level="30">mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.spring-orm/${spring40.version}</bundle>
     </feature>
 
-    <feature name="spring-oxm" description="Spring 4.0.x OXM support" version="${spring40.version}"
resolver="(obr)">
+    <feature name="spring-oxm" description="Spring 4.0.x OXM support" version="${spring40.version}">
         <feature version="[${spring40.version},4.1)">spring</feature>
         <bundle start-level="30">mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.spring-oxm/${spring40.version}</bundle>
     </feature>
 
-    <feature name="spring-tx" description="Spring 4.0.x Transaction (TX) support" version="${spring40.version}"
resolver="(obr)">
+    <feature name="spring-tx" description="Spring 4.0.x Transaction (TX) support" version="${spring40.version}">
         <feature version="[${spring40.version},4.1)">spring</feature>
         <bundle start-level="30">mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.spring-tx/${spring40.version}</bundle>
     </feature>
 
-    <feature name="spring-web" description="Spring 4.0.x Web support" version="${spring40.version}"
resolver="(obr)">
+    <feature name="spring-web" description="Spring 4.0.x Web support" version="${spring40.version}">
         <feature version="[${spring40.version},4.1)">spring</feature>
         <feature>http</feature>
         <bundle start-level="30">mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.spring-web/${spring40.version}</bundle>
         <bundle start-level="30">mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.spring-webmvc/${spring40.version}</bundle>
     </feature>
 
-    <feature name="spring-web-portlet" description="Spring 4.0.x Web Portlet support"
version="${spring40.version}" resolver="(obr)">
+    <feature name="spring-web-portlet" description="Spring 4.0.x Web Portlet support"
version="${spring40.version}">
         <feature version="[${spring40.version},4.1)">spring-web</feature>
         <bundle dependency="true" start-level="30">mvn:javax.portlet/portlet-api/${portlet-api.version}</bundle>
         <bundle start-level="30">mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.spring-webmvc-portlet/${spring40.version}</bundle>
     </feature>
 
-    <feature name="spring-websocket" description="Spring 4.0.x WebSocket support" version="${spring40.version}"
resolver="(obr)">
+    <feature name="spring-websocket" description="Spring 4.0.x WebSocket support" version="${spring40.version}">
         <feature version="[${spring40.version},4.1)">spring-web</feature>
         <bundle start-level="30">mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.spring-websocket/${spring40.version}</bundle>
     </feature>
 
     <!-- Spring Security support -->
 
-    <feature name="spring-security" description="Spring Security 3.1.x support" version="${spring.security31.version}"
resolver="(obr)">
+    <feature name="spring-security" description="Spring Security 3.1.x support" version="${spring.security31.version}">
         <feature>war</feature>
 	<feature version="[3,4)">spring-web</feature>
         <bundle dependency="true">mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.aspectj/${aspectj.bundle.version}</bundle>
@@ -282,7 +282,7 @@
 
     <!-- Gemini Blueprint support -->
 
-    <feature name="gemini-blueprint" description="Gemini Blueprint Extender" version="${gemini.blueprint.version}"
resolver="(obr)">
+    <feature name="gemini-blueprint" description="Gemini Blueprint Extender" version="${gemini.blueprint.version}">
         <feature version="[3,4)">spring</feature>
         <bundle start-level="30">mvn:org.eclipse.gemini/org.eclipse.gemini.blueprint.io/${gemini.blueprint.version}</bundle>
         <bundle start-level="30">mvn:org.eclipse.gemini/org.eclipse.gemini.blueprint.core/${gemini.blueprint.version}</bundle>

http://git-wip-us.apache.org/repos/asf/karaf/blob/50b16bf4/assemblies/features/standard/src/main/feature/feature.xml
----------------------------------------------------------------------
diff --git a/assemblies/features/standard/src/main/feature/feature.xml b/assemblies/features/standard/src/main/feature/feature.xml
index 6612af4..425922c 100644
--- a/assemblies/features/standard/src/main/feature/feature.xml
+++ b/assemblies/features/standard/src/main/feature/feature.xml
@@ -153,7 +153,7 @@
         <bundle start-level="30">mvn:org.apache.karaf.region/org.apache.karaf.region.core/${project.version}</bundle>
     </feature>
 
-    <feature name="package" version="${project.version}" resolver="(obr)" description="Package
commands and mbeans">
+    <feature name="package" version="${project.version}" description="Package commands
and mbeans">
         <bundle start-level="30">mvn:org.apache.karaf.package/org.apache.karaf.package.core/${project.version}</bundle>
     </feature>
 
@@ -165,31 +165,31 @@
         <bundle start-level="30" start="true">mvn:org.apache.karaf.system/org.apache.karaf.system.core/${project.version}</bundle>
     </feature>
 
-    <feature name="http" version="${project.version}" resolver="(obr)" description="Implementation
of the OSGI HTTP Service">
+    <feature name="http" version="${project.version}" description="Implementation of the
OSGI HTTP Service">
         <feature>pax-http</feature>
         <bundle start-level="30">mvn:org.apache.karaf.http/org.apache.karaf.http.core/${project.version}</bundle>
     </feature>
 
-    <feature name="http-whiteboard" description="Provide HTTP Whiteboard pattern support"
version="${project.version}" resolver="(obr)">
+    <feature name="http-whiteboard" description="Provide HTTP Whiteboard pattern support"
version="${project.version}">
     	<feature>http</feature>
         <feature>pax-http-whiteboard</feature>
     </feature>
 
-    <feature name="war" description="Turn Karaf as a full WebContainer" version="${project.version}"
resolver="(obr)">
+    <feature name="war" description="Turn Karaf as a full WebContainer" version="${project.version}">
         <feature>http</feature>
         <feature>pax-war</feature>
         <bundle start-level="30">mvn:org.apache.karaf.web/org.apache.karaf.web.core/${project.version}</bundle>
     </feature>
     
-    <feature name="jetty" version="8.1.9.v20130131" resolver="(obr)">
+    <feature name="jetty" version="8.1.9.v20130131">
     	<feature>pax-jetty</feature>
     </feature>
 
-    <feature name="kar" description="Provide KAR (KARaf archive) support" version="${project.version}"
resolver="(obr)">
+    <feature name="kar" description="Provide KAR (KARaf archive) support" version="${project.version}">
         <bundle start-level="30">mvn:org.apache.karaf.kar/org.apache.karaf.kar.core/${project.version}</bundle>
     </feature>
 
-    <feature name="webconsole" description="Base support of the Karaf WebConsole" version="${project.version}"
resolver="(obr)">
+    <feature name="webconsole" description="Base support of the Karaf WebConsole" version="${project.version}">
         <config name="org.apache.karaf.webconsole">
             realm=karaf
         </config>
@@ -246,11 +246,11 @@
         </conditional>
     </feature>
 
-    <feature name="scheduler" description="Provide a scheduler service in Karaf to fire
events" version="${project.version}" resolver="(obr)">
+    <feature name="scheduler" description="Provide a scheduler service in Karaf to fire
events" version="${project.version}">
         <bundle start-level="30">mvn:org.apache.karaf.scheduler/org.apache.karaf.scheduler.core/${project.version}</bundle>
     </feature>
 
-    <feature name="eventadmin" description="OSGi Event Admin service specification for
event-based communication" version="${project.version}" resolver="(obr)">
+    <feature name="eventadmin" description="OSGi Event Admin service specification for
event-based communication" version="${project.version}">
         <config name="org.apache.felix.eventadmin.impl.EventAdmin">
             org.apache.felix.eventadmin.AddTimestamp=true
             org.apache.felix.eventadmin.AddSubject=true
@@ -262,7 +262,7 @@
         </conditional>
     </feature>
 
-    <feature name="jasypt-encryption" description="Advanced encryption support for Karaf
security" version="${project.version}" resolver="(obr)">
+    <feature name="jasypt-encryption" description="Advanced encryption support for Karaf
security" version="${project.version}">
         <bundle dependency="true" start-level="30">mvn:commons-codec/commons-codec/${commons-codec.version}</bundle>
         <bundle dependency="true" start-level="30">mvn:commons-lang/commons-lang/${commons-lang.version}</bundle>
         <bundle dependency="true" start-level="30">mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.jasypt/${jasypt.bundle.version}</bundle>
@@ -273,7 +273,7 @@
         </conditional>
     </feature>
 
-    <feature name="scr" description="Declarative Service support" version="${project.version}"
resolver="(obr)">
+    <feature name="scr" description="Declarative Service support" version="${project.version}">
         <feature>eventadmin</feature>
         <bundle dependency="true" start-level="30">mvn:org.apache.felix/org.apache.felix.metatype/${felix.metatype.version}</bundle>
         <bundle dependency="true" start-level="30">mvn:org.apache.felix/org.apache.felix.scr/${felix.scr.version}</bundle>
@@ -289,7 +289,7 @@
     </feature>
 
     <feature name="blueprint-web" description="Provides an OSGI-aware Servlet ContextListener
for bootstrapping
-        blueprint inside web-bundle containers" version="${project.version}" resolver="(obr)">
+        blueprint inside web-bundle containers" version="${project.version}">
         <feature>war</feature>
         <bundle>mvn:org.apache.aries.blueprint/org.apache.aries.blueprint.webosgi/${aries.blueprint.web.version}</bundle>
     </feature>

http://git-wip-us.apache.org/repos/asf/karaf/blob/50b16bf4/features/core/src/main/resources/org/apache/karaf/features/karaf-features-1.3.0.xsd
----------------------------------------------------------------------
diff --git a/features/core/src/main/resources/org/apache/karaf/features/karaf-features-1.3.0.xsd
b/features/core/src/main/resources/org/apache/karaf/features/karaf-features-1.3.0.xsd
index 60ec8d2..b68b1bb 100644
--- a/features/core/src/main/resources/org/apache/karaf/features/karaf-features-1.3.0.xsd
+++ b/features/core/src/main/resources/org/apache/karaf/features/karaf-features-1.3.0.xsd
@@ -81,14 +81,6 @@ The help text shown for this feature when using feature:info console command.
         <xs:attribute name="name" type="tns:featureName" use="required" />
         <xs:attribute name="version" type="xs:string" default="0.0.0" />
         <xs:attribute name="description" type="xs:string" />
-        <xs:attribute name="resolver" type="tns:resolver">
-            <xs:annotation>
-                <xs:documentation><![CDATA[
-Optional alternative resolver to use for determining the list of bundles to install for a
given feature.
-                ]]>
-                </xs:documentation>
-            </xs:annotation>
-        </xs:attribute>
         <xs:attribute name="install" type="tns:install">
             <xs:annotation>
                 <xs:documentation><![CDATA[
@@ -251,18 +243,6 @@ Feature name should be non empty string.
         </xs:restriction>
     </xs:simpleType>
 
-    <xs:simpleType name="resolver">
-        <xs:annotation>
-            <xs:documentation><![CDATA[
-Resolver to use. Karaf will look for OSGi service which have following properties:
-objectClass: org.apache.karaf.features.Resolver
-name: the value
-            ]]></xs:documentation>
-        </xs:annotation>
-        <xs:restriction base="xs:string">
-            <xs:minLength value="1" />
-        </xs:restriction>
-    </xs:simpleType>
     <xs:simpleType name="install">
         <xs:annotation>
             <xs:documentation><![CDATA[

http://git-wip-us.apache.org/repos/asf/karaf/blob/50b16bf4/features/core/src/test/resources/org/apache/karaf/features/internal/service/f07.xml
----------------------------------------------------------------------
diff --git a/features/core/src/test/resources/org/apache/karaf/features/internal/service/f07.xml
b/features/core/src/test/resources/org/apache/karaf/features/internal/service/f07.xml
index 5b7dd90..b62ffda 100644
--- a/features/core/src/test/resources/org/apache/karaf/features/internal/service/f07.xml
+++ b/features/core/src/test/resources/org/apache/karaf/features/internal/service/f07.xml
@@ -16,7 +16,7 @@
     limitations under the License.
 -->
 <features name="karaf" xmlns="http://karaf.apache.org/xmlns/features/v1.3.0">
-    <feature name="spring" version="2.5.6.SEC02" resolver="(obr)">
+    <feature name="spring" version="2.5.6.SEC02">
         <bundle dependency='true'>mvn:org.apache.servicemix.bundles/org.apache.servicemix.bundles.aopalliance/1.0_4</bundle>
         <bundle>mvn:org.springframework/spring-core/2.5.6.SEC02</bundle>
         <bundle>mvn:org.springframework/spring-beans/2.5.6.SEC02</bundle>


Mime
View raw message